<xml> </xml>

SOLIDWORKS PDM Professional API Help | Send Feedback
Rename Method (IEdmFile5)
See Also

Collapse All Expand All Language Filter: All Language Filter: Multiple Language Filter: Visual Basic Language Filter: C# Language Filter: C++/CLI

EPDM.Interop.epdm Namespace > IEdmFile5 Interface : Rename Method (IEdmFile5)

Visual Basic
C#
C++/CLI

lParentWnd
  Parent window handle

bsName
  New file name

bRenameLocalCopies
  Optional; true to rename local copies, false to not; default is true

Obsolete. Superseded by IEdmFile6::RenameEx .

# Syntax

Visual Basic |
--- | ---

    Sub Rename( _
       ByVal lParentWnd As System.Integer, _
       ByVal bsName As System.String, _
       Optional ByVal bRenameLocalCopies As System.Boolean _
    )

C# |
--- | ---

    void Rename(
       System.int lParentWnd,
       System.string bsName,
       System.bool bRenameLocalCopies
    )

C++/CLI |
--- | ---

    void Rename(
    &   System.int lParentWnd,
    &   System.String^ bsName,
    &   System.bool bRenameLocalCopies
    )

#### Parameters

lParentWnd
  Parent window handle
bsName
  New file name
bRenameLocalCopies
  Optional; true to rename local copies, false to not; default is true

# Remarks

See Return Codes for the complete list of potential success and error codes. The following are just a few examples:

- S_OK: The method successfully executed.
- E_EDM_NAME_ALREADY_EXISTS: The specified name already exists.
- E_EDM_PERMISSION_DENIED: The user lacks permission to rename this file.

# See Also

####

IEdmFile5 Interface
IEdmFile5 Members

# Availability

SOLIDWORKS PDM Professional Version 5.2